## Function template tuple_manip

boost::log::tuple_manip

## Synopsis

    // In header: <boost/log/utility/manipulators/tuple.hpp>

    template<typename TupleT, typename DelimiterElementT, std::size_t N>
      tuple_manipulator< TupleT, DelimiterElementT * >
      tuple_manip(TupleT const & tuple, DelimiterElementT(&) delimiter);

## Description

Tuple manipulator generator function.

| Note
Both tuple and delimiter objects must outlive the created manipulator object.

Parameters:

`tuple` | Heterogeneous sequence of elements to output. The sequence must be supported by Boost.Fusion, and its elements must support stream output.
`delimiter` | Delimiter to separate elements in the output. Optional. If not specified, elements are output without separation.

Returns: | Manipulator to be inserted into the stream.